> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Route Stop

> Add a new route stop.



## OpenAPI

````yaml /spec/oas.yaml post /route_stops
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /route_stops:
    post:
      tags:
        - Routes
      summary: Add Route Stop
      description: Add a new route stop.
      operationId: routes_add_route_stop
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRouteStopRequestBodyModel'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteStopModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    CreateRouteStopRequestBodyModel:
      type: object
      description: Create new route request body model.
      properties:
        asset_id:
          type: integer
          format: int64
          description: Job asset identifier. Applicable to job types 'E', 'P', 'R'.
        asset_quantity:
          type: integer
          description: Asset quantity.
        dispatcher_notes:
          type: string
          description: Dispatcher notes.
        old_request_for:
          type: integer
          description: Old request for.
        pickup_on:
          type: string
          format: date-time
          description: Pickup on.
        pickup_quantity:
          type: integer
          description: Pickup quantity.
        priority:
          type: integer
          description: Priority.
        request_for:
          type: integer
          description: Customer id.
        request_type:
          type: string
          description: >-
            Set by dispatchers and customers. Represents physical actions to
            execute on job start.
        route_id:
          type: integer
          format: int64
          description: Trailer record identifier.
        skip_next_dispatch:
          type: string
          description: Comma separated list of route_ids to skip.
      required:
        - asset_id
        - request_for
        - request_type
        - route_id
    RouteStopModel:
      type: object
      description: Route stop model.
      properties:
        asset_id:
          type: integer
          format: int64
          description: Job asset identifier. Applicable to job types 'E', 'P', 'R'.
        asset_quantity:
          type: integer
          description: Asset quantity.
        created_on:
          type: string
          format: date-time
          description: Created on date.
        dispatcher_notes:
          type: string
          description: Dispatcher notes.
        id:
          type: integer
          description: Route stop id.
        num_times_completed:
          type: integer
          description: Number of times completed.
        num_times_failed:
          type: integer
          description: Number of times failed.
        old_request_for:
          type: integer
          description: Old request for.
        pickup_on:
          type: string
          format: date-time
          description: Pickup on.
        pickup_quantity:
          type: integer
          description: Pickup quantity.
        priority:
          type: integer
          description: Priority.
        request_for:
          type: integer
          description: Customer id.
        request_type:
          type: string
          description: >-
            Set by dispatchers and customers. Represents physical actions to
            execute on job start.
        route_id:
          type: integer
          format: int64
          description: Trailer record identifier.
        skip_next_dispatch:
          type: string
          description: Comma separated list of route_ids to skip.
      required:
        - asset_id
        - asset_quantity
        - created_on
        - dispatcher_notes
        - id
        - num_times_completed
        - num_times_failed
        - old_request_for
        - pickup_on
        - pickup_quantity
        - priority
        - request_for
        - request_type
        - route_id
        - skip_next_dispatch
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````